<!doctype html>
<html lang="cs">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.2.1/css/bootstrap.min.css" integrity="sha384-GJzZqFGwb1QTTN6wy59ffF1BuGJpLSa9DkKMp0DgiMDm4iYMj70gZWKYbI706tWS" crossorigin="anonymous">
    <link rel="stylesheet" type="text/css" th:href="@{/css/styles.css}"/>
    <title>Nová kategorie</title>
</head>
<body>
<nav class="navbar navbar-expand-lg  navbar-dark bg-dark">
    <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="navbar-nav mr-auto">

            <li class="nav-item" th:if="${admin}">
                <a class="nav-link active" th:href="@{/admin/categories}">Kategorie</a>
            </li>
            <li class="nav-item" th:if="${admin}">
                <a class="nav-link" th:href="@{/admin/users}">Uživatelé</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" th:href="@{/articles}">Příspěvky</a>
            </li>
            <li>
                <form th:action="@{/logout}" method="get">
                    <button class="btn btn-md btn-danger btn-right" name="registration"
                            type="Submit">Logout
                    </button>
                </form>
            </li>
        </ul>
    </div>
</nav>
<div class="content">
    <h1>Nová kategorie</h1>
    <form autocomplete="off" action="#" th:action="@{/admin/category}" th:object="${category}" method="post" class="form-horizontal" role="form">
        <input type="hidden" th:field="*{categoryId}" class="form-control"/>
        <div class="form-group">
            <div class="col-4">
                <label th:if="${#fields.hasErrors('name')}" th:errors="*{name}" class="validation-message"></label>
                <input type="text" th:field="*{name}" placeholder="Name" class="form-control"/>
            </div>
        </div>
        <div class="form-group">
            <div class="col-5">
                <label th:if="${#fields.hasErrors('description')}" th:errors="*{description}" class="validation-message"></label>
                <textarea type="text" th:field="*{description}" placeholder="Description" class="form-control"/>
            </div>
        </div>
        <div class="form-group">
            <div class="col-1">
                <button type="submit" class="btn btn-primary btn-block btn-dark">
                    <span th:utext="${buttonType}"></span>
                </button>
            </div>
        </div>
        <div class="col-1">
            <a style="color:white" href="/admin/categories">
                <button type="button" class="btn btn-dark">Zpět</button>
            </a>
        </div>
        <h2><span class="text-success" th:utext="${successMessage}"></span></h2>
    </form>
</div>
<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.6/umd/popper.min.js" integrity="sha384-wHAiFfRlMFy6i5SRaxvfOCifBUQy1xHdJ/yoi7FRNXMRBu5WHdZYu1hA6ZOblgut" crossorigin="anonymous"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.2.1/js/bootstrap.min.js" integrity="sha384-B0UglyR+jN6CkvvICOB2joaf5I4l3gm9GU6Hc1og6Ls7i6U/mkkaduKaBhlAXv9k" crossorigin="anonymous"></script>
</body>
</html>